org.apache.ignite.internal.visor.compute

## Class VisorComputeMonitoringHolder

- java.lang.Object
- - org.apache.ignite.internal.visor.compute.VisorComputeMonitoringHolder

    public class VisorComputeMonitoringHolder
    extends Object

Holder class to store information in node local map between data collector task executions.

### Field Summary

Fields
`protected static int` `CLEANUP_TIMEOUT` Timeout between disable events check.
`static String` `COMPUTE_MONITORING_HOLDER_KEY` Task monitoring events holder key.

### Constructor Summary

Constructors
Constructor and Description
`VisorComputeMonitoringHolder()`

### Method Summary

Methods
`void` `startCollect(IgniteEx ignite, String visorKey)` Start collect events for Visor instance.
`void` `stopCollect(IgniteEx g, String visorKey)` Disable collect events for Visor instance.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### COMPUTE_MONITORING_HOLDER_KEY

    public static final String COMPUTE_MONITORING_HOLDER_KEY

Task monitoring events holder key.

See Also:
  Constant Field Values

#### CLEANUP_TIMEOUT

    protected static final int CLEANUP_TIMEOUT

Timeout between disable events check.

See Also:
  Constant Field Values

### Constructor Detail

#### VisorComputeMonitoringHolder

    public VisorComputeMonitoringHolder()

### Method Detail

#### startCollect

    public void startCollect(IgniteEx ignite,
                    String visorKey)

Start collect events for Visor instance.

Parameters:
  `ignite` - Grid.
  `visorKey` - unique Visor instance key.

#### stopCollect

    public void stopCollect(IgniteEx g,
                   String visorKey)

Disable collect events for Visor instance.

Parameters:
  `g` - Grid.
  `visorKey` - Unique Visor instance key.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017